curl --request GET \
--url https://free.freeipapi.com/api/json/{ip} \
--header 'Authorization: Bearer <token>'[
{
"ipVersion": 6,
"ipAddress": "2a02:8071:1212:aa0:d914:e794:457d:1212",
"latitude": 51.2217,
"longitude": 6.77616,
"countryName": "Germany",
"countryCode": "DE",
"capital": "Berlin",
"phoneCodes": [
49
],
"timeZones": [
"Europe/Berlin",
"Europe/Busingen"
],
"zipCode": "40123",
"cityName": "Düsseldorf",
"regionName": "North Rhine-Westphalia",
"continent": "Europe",
"continentCode": "EU",
"currencies": [
"EUR"
],
"languages": [
"de"
],
"asn": "3209",
"asnOrganization": "Vodafone GmbH",
"isProxy": false
}
]This will return the IP info of the given IP address.
curl --request GET \
--url https://free.freeipapi.com/api/json/{ip} \
--header 'Authorization: Bearer <token>'[
{
"ipVersion": 6,
"ipAddress": "2a02:8071:1212:aa0:d914:e794:457d:1212",
"latitude": 51.2217,
"longitude": 6.77616,
"countryName": "Germany",
"countryCode": "DE",
"capital": "Berlin",
"phoneCodes": [
49
],
"timeZones": [
"Europe/Berlin",
"Europe/Busingen"
],
"zipCode": "40123",
"cityName": "Düsseldorf",
"regionName": "North Rhine-Westphalia",
"continent": "Europe",
"continentCode": "EU",
"currencies": [
"EUR"
],
"languages": [
"de"
],
"asn": "3209",
"asnOrganization": "Vodafone GmbH",
"isProxy": false
}
]Documentation Index
Fetch the complete documentation index at: https://docs.freeipapi.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Valid IPv4 or IPv6
Response
6
"2a02:8071:1212:aa0:d914:e794:457d:1212"
51.2217
6.77616
"Germany"
"DE"
"Berlin"
[49]["Europe/Berlin", "Europe/Busingen"]"40123"
"Düsseldorf"
"North Rhine-Westphalia"
"Europe"
"EU"
["EUR"]["de"]"3209"
"Vodafone GmbH"
false